Subject: Re: bug#13979: 24.3.50; NS: scroll-bar not draggable

From: Stefan Monnier <[email-masked]>
Date: Sat, 16 Mar 2013 22:43:07 -0400

> turn on scroll-bar mode
>  (scroll-bar-mode t)

They're on by default, aren't they?

> then open a file and drag the scroll bar, it shows:
> `mouse-on-link-p: Wrong type argument: listp, handle'
> the stacktrace:
> Debugger entered--Lisp error: (wrong-type-argument listp handle)
>   mouse-posn-property((#<window 0x10506e250 on *info*>
> vertical-scroll-bar (4 . 428) 95079520 handle) follow-link)

I can't reproduce it here on GNU/Linux.  I'm not sure if the format of
the posn object quoted above is correct, but can you try the patch
below (which is either a fix, or a workaround)?

> Also with scroll-bar turned on, horizontally splitted windows can not be
> resized by dragging.

I can't reproduce the problem here, either.

        Stefan

=== modified file 'lisp/mouse.el'
--- lisp/mouse.el	2013-03-09 17:14:24 +0000
+++ lisp/mouse.el	2013-03-17 02:39:03 +0000
@@ -709,7 +713,7 @@
   (if (consp pos)
       (let ((w (posn-window pos)) (pt (posn-point pos))
 	    (str (posn-string pos)))
-	(or (and str
+	(or (and (consp str)
 		 (get-text-property (cdr str) property (car str)))
 	    (and pt
 		 (get-char-property pt property w))))